﻿var dataCaspar = {};

function escapeHtml(unsafe) {
   return unsafe.replace(/&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;").replace(/'/g, "&#039;");
}
function parseCaspar(str)   {
   var xmlDoc;
   if (window.DOMParser)   {
      parser=new DOMParser();
      xmlDoc=parser.parseFromString(str,"text/xml");
   }
   dataCaspar = XML2JSON(xmlDoc.documentElement.childNodes);
}
function XML2JSON(node)   {
   var data = {};   // resulting object
   for (k=0;k<node.length;k++)   {
      var idCaspar = node[k].getAttribute("id");
      var valCaspar = node[k].childNodes[0].getAttribute("value");
      if ( idCaspar != undefined && valCaspar != undefined)   { data[idCaspar] = valCaspar; };
   }
   return data;
}
function dataInsert(dataCaspar)   {
   for (var idCaspar in dataCaspar) {
      var idTemplate = document.getElementById(idCaspar);
      if (idTemplate != undefined)   { idTemplate.innerHTML = dataCaspar[idCaspar]; }
   }
}

function playcssOnElement(element, cssanimation, endopacity) {
    element.style.webkitAnimation = cssanimation;
    element.style.opacity = endopacity;
}
function update(str) {
	
	parseCaspar(str);   // Parse templateData into an XML object
	dataInsert(dataCaspar); // Insert data

}
function play(str) {

	parseCaspar(str);   // Parse templateData into an XML object
	dataInsert(dataCaspar); // Insert data
	
	playcssOnElement(document.body, "intro 0.5s", "1");

}
function stop() {
    playcssOnElement(document.body, "outro 0.5s", "0");
}